javax.el

## Class ELManager

- java.lang.Object
- - javax.el.ELManager

    public class ELManager
    extends java.lang.Object

Manages EL parsing and evaluation environment. The ELManager maintains an instance of ExpressionFactory and StandardELContext, for parsing and evaluating EL expressions.

Since:
  EL 3.0

### Constructor Summary

Constructors
Constructor and Description
`ELManager()`

### Method Summary

Methods
`void` `addBeanNameResolver(BeanNameResolver bnr)` Register a BeanNameResolver.
`void` `addELResolver(ELResolver elr)` Add an user defined ELResolver to the list of ELResolvers.
`void` `addEvaluationListener(EvaluationListener listener)` Register an evaluation listener.
`java.lang.Object` `defineBean(java.lang.String name, java.lang.Object bean)` Define a bean in the local bean repository
`StandardELContext` `getELContext()` Return the ELContext used for parsing and evaluating EL expressions.
`static ExpressionFactory` `getExpressionFactory()` Return the ExpressionFactory instance used for EL evaluations.
`void` `importClass(java.lang.String className)` Import a class.
`void` `importPackage(java.lang.String packageName)` Import a package.
`void` `mapFunction(java.lang.String prefix, java.lang.String function, java.lang.reflect.Method meth)` Maps a static method to an EL function.
`ELContext` `setELContext(ELContext context)` Set the ELContext used for parsing and evaluating EL expressions.
`void` `setVariable(java.lang.String variable, ValueExpression expression)` Assign a ValueExpression to an EL variable, replacing any previous assignment to the same variable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELManager

    public ELManager()

### Method Detail

#### getExpressionFactory

    public static ExpressionFactory getExpressionFactory()

Return the ExpressionFactory instance used for EL evaluations.

Returns:
  The ExpressionFactory

#### getELContext

    public StandardELContext getELContext()

Return the ELContext used for parsing and evaluating EL expressions. If there is currently no ELContext, a default instance of StandardELContext is returned.

Returns:
  The ELContext used for parsing and evaluating EL expressions..

#### setELContext

    public ELContext setELContext(ELContext context)

Set the ELContext used for parsing and evaluating EL expressions. The supplied ELContext will not be modified, except for the context object map.

Parameters:
  `context` - The new ELContext.
Returns:
  The previous ELContext, null if none.

#### addBeanNameResolver

    public void addBeanNameResolver(BeanNameResolver bnr)

Register a BeanNameResolver. Construct a BeanNameELResolver with the BeanNameResolver and add it to the list of ELResolvers. Once registered, the BeanNameResolver cannot be removed.

Parameters:
  `bnr` - The BeanNameResolver to be registered.

#### addELResolver

    public void addELResolver(ELResolver elr)

Add an user defined ELResolver to the list of ELResolvers. Can be called multiple times. The new ELResolver is placed ahead of the default ELResolvers. The list of the ELResolvers added this way are ordered chronologically.

Parameters:
  `elr` - The ELResolver to be added to the list of ELResolvers in ELContext.
See Also:
  `StandardELContext.addELResolver(javax.el.ELResolver)`

#### mapFunction

    public void mapFunction(java.lang.String prefix,
                   java.lang.String function,
                   java.lang.reflect.Method meth)

Maps a static method to an EL function.

Parameters:
  `prefix` - The namespace of the functions, can be "".
  `function` - The name of the function.
  `meth` - The static method to be invoked when the function is used.

#### setVariable

    public void setVariable(java.lang.String variable,
                   ValueExpression expression)

Assign a ValueExpression to an EL variable, replacing any previous assignment to the same variable. The assignment for the variable is removed if the expression is `null`.

Parameters:
  `variable` - The variable name
  `expression` - The ValueExpression to be assigned to the variable.

#### importClass

    public void importClass(java.lang.String className)
                     throws ELException

Import a class. The imported class must be loadable from the classloader, at class resolution time.

Parameters:
  `className` - The full class name of the class to be imported
Throws:
  `ELException` - if the name is not a full class name.

#### importPackage

    public void importPackage(java.lang.String packageName)

Import a package. At the class resolution time, the imported package name will be used to construct the full class name, which will then be used to load the class. Inherently, this is less efficient than importing a class.

Parameters:
  `packageName` - The package name to be imported

#### defineBean

    public java.lang.Object defineBean(java.lang.String name,
                              java.lang.Object bean)

Define a bean in the local bean repository

Parameters:
  `name` - The name of the bean
  `bean` - The bean instance to be defined. If null, the definition of the bean is removed.

#### addEvaluationListener

    public void addEvaluationListener(EvaluationListener listener)

Register an evaluation listener.

Parameters:
  `listener` - The evaluation listener to be added.